/***************************************************************************
                          ProgressDialog.h  -  description
                             -------------------
    begin                : Die Mai 15 15:34:19 CEST 2001
    copyright            : (C) 2001 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PROGRESSDIALOG_H
#define PROGRESSDIALOG_H

#include <qwidget.h>

class QMultiLineEdit;
class KPushButton;
class QStringList;
class QStrList;
class QString;
class QHBoxLayout;
class QVBoxLayout;
class ProgressDialog : public QWidget
{ 
    Q_OBJECT
    public:
        ProgressDialog( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
        ~ProgressDialog();

        void setDestination( QString dir ) {
            dest = dir;
        }

        void setRenamedFiles( QStringList* list );
        void print( QString text );
        void error( QString text );
        void warning( QString text );
        void done();

    public slots:
        void show();
        
    private slots:
        void quitAll();
        void save();
        void reject();
        void restart();
        void again();
        void openDest();

    protected:
        QStringList* renamedFiles;
        QString dest;

        QMultiLineEdit* lineEdit;
        KPushButton* buttonClose;
        KPushButton* buttonSave;
        KPushButton* buttonRestart;
        KPushButton* buttonAgain;
        KPushButton* buttonOpenDest;

        QStrList* list;

        QHBoxLayout* ProgressDialogLayout;
        QVBoxLayout* Layout1;
        QVBoxLayout* Layout2;
        QHBoxLayout* Layout3;
};

#endif // PROGRESSDIALOG_H
