/***************************************************************************
                          confdialog.h  -  description
                             -------------------
    begin                : Sun Jan 27 2002
    copyright            : (C) 2002 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CONFDIALOG_H
#define CONFDIALOG_H

// own inlcudes
#include "pluginloader.h"

// QT includes
#include <qcheckbox.h>

// KDE includes
#include <kdialogbase.h>
#include <knuminput.h>

class QRadioButton;
class QHBoxLayout;
class QListBox;
class KPushButton;
class QVBoxLayout;
class QWidget;
class ConfDialog : public KDialogBase {
    Q_OBJECT
    public:
        ConfDialog( PluginLoader* pa, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
        ~ConfDialog();

        bool loadplugins() { return checkPlugins->isChecked(); }
        bool title() { return checkTitle->isChecked(); }
        bool ask() { return checkAsk->isChecked(); }
        bool dir() { return checkDir->isChecked(); }
        bool hiddendir() { return checkHiddenDir->isChecked(); }
        int thumbSize() { return spinSize->value(); }
        
        void setLoadPlugins( bool b ) { checkPlugins->setChecked( b ); }
        void setTitle( bool b ) { checkTitle->setChecked( b ); }
        void setAsk( bool b ) { checkAsk->setChecked( b ); }
        void setDir( bool b ) { checkDir->setChecked( b ); }
        void setHiddenDir( bool b ) { checkHiddenDir->setChecked( b ); }
        void setThumbSize( int b ) { spinSize->setValue( b ); }

        QRadioButton* optionFirstDot;
        QRadioButton* optionLastDot;
        QRadioButton* optionCustomDot;
        KIntNumInput* spinDot;
                        
    private slots:
        void add();
        void del();

        void changeService(bool b);
        void enableControls();

        void defaults();
                
    private:
        void setupTab1();
        void setupTab2();
        void setupTab3();

        void installServiceEntry();
        void removeServiceEntry();
        bool serviceEntryInstalled();
                        
    protected:
        void accept();

        QCheckBox* checkContext;
        QCheckBox* checkTitle;
        QCheckBox* checkAsk;
        QCheckBox* checkDir;
        QCheckBox* checkHiddenDir;
        QCheckBox* checkPlugins;
        
        KPushButton* bAdd;
        KPushButton* bDel;

        KIntNumInput* spinSize;
        
        QListBox* visiblePlugins;
        QListBox* invisiblePlugins;

        PluginLoader* p;
};

#endif
