/***************************************************************************
                          helpdialog.h  -  description
                             -------------------
    begin                : Fr Nov 15 13:44:19 CEST 2001
    copyright            : (C) 2002 by Dominik Seichter
    email                : domseichter@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef HELPDIALOG_H
#define HELPDIALOG_H

#include <qdialog.h>
#include <qstringlist.h>

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QComboBox;
class QLineEdit;
class KListView;
class KListViewItem;
class KPushButton;
class HelpDialog : public QDialog
{ 
    Q_OBJECT
    public:
        HelpDialog( QLineEdit* lineedit, QWidget* parent = 0,
            const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
        ~HelpDialog();

        void add( QString _command, QString _help );
        void remove( QString _command );
        void addHeadline( QString headline );
        void removeHeadline( QString headline );

    private slots:
        void exec();
        void updateItems();
                
    private:
        QComboBox* comboHeadline;
        KListView* list;
        KPushButton* buttonAdd;
        KPushButton* buttonClose;

    protected:
        QStringList head;
        QStringList command;
        QStringList help;        

        QLineEdit* text;
        QString curheadline;
                
        QVBoxLayout* HelpDialogLayout;
        QHBoxLayout* Layout1;
};

#endif // HELPDIALOG_H
